Page MenuHomePhabricator

Please add <https://finds.org.uk> to $wgCopyUploadsDomains
Closed, ResolvedPublic

Description

This is to help speed up the batch upload project for the Portable Antiquities Scheme. Refer to https://commons.wikimedia.org/wiki/User_talk:F%C3%A6#Portable_antiquities and https://commons.wikimedia.org/wiki/Category:Portable_Antiquities_Scheme.

Due to the type of JSON queries this is using, a custom python script is being used and has been tested on approximately 18,000 uploads so far, so can be considered stable.

Event Timeline

Fae created this task.Jan 20 2017, 7:10 PM
Restricted Application added subscribers: Bawolff, Aklapper. · View Herald TranscriptJan 20 2017, 7:10 PM
Urbanecm claimed this task.Jan 20 2017, 7:34 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJan 20 2017, 7:34 PM
Urbanecm triaged this task as Low priority.Jan 20 2017, 7:37 PM

Hi @Fae, can you clarify licence of the images and the purpose of the addition? If you have a python script, you can upload images without adding to wgCopyUploadsDomains easily.

Fae added a comment.Jan 20 2017, 7:58 PM

The licence is CC-BY as stated at https://finds.org.uk/info/termsandconditions.

Though I can upload from a local copy, upload from url will speed up the process. At the moment I'm estimating that local uploads will take another 100 days for this batch if we have to stick to local uploads, while I should be able to at least halve that time.

Urbanecm raised the priority of this task from Low to Normal.Jan 20 2017, 8:02 PM

Okay, that's reasonable. I'll handle this.

Change 333294 had a related patch set uploaded (by Urbanecm):
Add *.finds.org.uk to wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/333294

Will be deployed at Monday, January 23 14:00–15:00 UTC.

Change 333294 merged by jenkins-bot:
Add *.finds.org.uk to wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/333294

Fae added a comment.Jan 23 2017, 2:18 PM

Uploads will be from https://finds.org.uk/, will *.finds.org.uk cater for that?

Change 333650 had a related patch set uploaded (by Urbanecm):
[fix] Add finds.org.uk without wildcard too

https://gerrit.wikimedia.org/r/333650

Change 333650 merged by jenkins-bot:
[fix] Add finds.org.uk without wildcard too

https://gerrit.wikimedia.org/r/333650

Mentioned in SAL (#wikimedia-operations) [2017-01-23T14:34:57Z] <addshore@tin> Synchronized wmf-config/InitialiseSettings.php: [[gerrit:333294|T155844 [fix] Add finds.org.uk without wildcard too]] (duration: 00m 39s)

@Fae, no, it won't, sorry for it. I've added next rule without the wildcard.

Urbanecm closed this task as Resolved.Jan 23 2017, 2:36 PM

Should be resolved, if it doesn't work, please reopen and tell us!

Both patches deployed in Monday, January 23 14:00–15:00 UTC SWAT (I forgot to ping the ticket with the deployment of the first patch)